Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Atk::TextSignals Class Reference

Abstract base class that implements the virtual signal handlers for Atk::Text. More...

`#include <xfc/atk/textsignals.hh>`

Inheritance diagram for Xfc::Atk::TextSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_text_changed (int position, int length)
    Called when text is inserted or deleted.
- virtual void on_text_caret_moved (int location)
    Called when the text caret is moved.
- virtual void on_text_selection_changed ()
    Called when the text selection changes.
- virtual void on_text_attributes_changed ()
    Called when the text attributes change.

## Protected Member Functions

Constructors

- virtual ~TextSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Atk::Text.

## Member Function Documentation

virtual void Xfc::Atk::TextSignals::on_text_caret_moved | ( | int | location | ) | `[virtual]`

Called when the text caret is moved.

Parameters:

  | location | The new position of the text caret.

virtual void Xfc::Atk::TextSignals::on_text_changed | ( | int | position,
|  | int | length
| ) | `[virtual]`

Called when text is inserted or deleted.

Parameters:

  | position | The position of the insertion or deletion.
  | length | The length of the text inserted or deleted.

The documentation for this class was generated from the following file:

- textsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3